Subject: [weirds] Bulk transfer, rir-json draft, and RFC 4698 (was: New new proposed charter text)

From: =JeffH <[email-masked]>
Date: Mon, 13 Feb 2012 11:21:22 -0800

[ forking this off to different Subject thread where it belongs - pls use new 
subject for this (sub)thread ]

Subject: Re: [weirds] New new proposed charter text
From: Andy Newton <[email-masked]>
Date: Mon, 13 Feb 2012 14:06:04 -0500 (11:06 PST)
To: <[email-masked]>

On 02/13/2012 01:21 AM, Byron Ellacott wrote:
 > On 11/02/2012, at 8:22 PM, Alessandro Vesely wrote:
 >
 >> On 10/Feb/12 19:42, Andy Newton wrote:
 >>> On Feb 10, 2012, at 12:29 PM, Alessandro Vesely wrote:
 >>>> A separate glossary can be reused for many different protocols,
 >>>> including bulk transfer or an explanation of the existing WHOIS.
 >>>
 >>> Of they can simply refer to this draft or RFCs this draft references.
 >>
 >> Hm...  Why doesn't rir-json refer to the data described in RFC 4698?
 >
 > I'm not sure how useful the areg addressRangeType is 
 >
 > <complexType name="addressRangeType">
 >    <sequence>
 >      <element name="start" type="token" />
 >      <element name="end" type="token" minOccurs="0" maxOccurs="1" />
 >    </sequence>
 > </complexType>
 >
 >  given it doesn't specify the start or end in any greater detail than the 
rir-json-00 draft :-)
 >
 > I prefer to get feedback on what is not clear in the rir-json draft and 
clarify it there, and create a separate document if there becomes an obvious 
need for it.  For most data types, I would expect to be referring to other RFCs 
for syntax, such as for email address, FQDN, or textual representation of an IP 
address.

I agree with Byron. 4698 doesn't do a better job with these elements...
and that's coming from a person who has their name on 4698.

-andy
_______________________________________________
weirds mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/weirds